$(document).ready(function () {
    $('.slide').first().addClass('active').next().addClass('slideone').next().addClass('slidetwo').next().addClass('slidethree').next().addClass('slidefour').next().addClass('slidefive').next().addClass('slidesix');

    function play() {
        var next = $(".slider .active").removeClass("active").addClass('oldactive')
            .queue(function () {
            $('#next, #prev').attr("disabled", true);
            $(this).dequeue();
        })
            .delay(2000)
            .queue(function () {
            $(this).removeClass("oldactive");
            $('#next, #prev').attr("disabled", false);
            $(this).dequeue();
        })
            .next(".slide");
        if (!next.length) {
            next = $(".slider .slide:first");
        }
        next.addClass("active").removeClass('slideone')
            .next().addClass('slideone').removeClass('slidetwo')
            .next().addClass('slidetwo').removeClass('slidethree')
            .next().addClass('slidethree').removeClass('slidefour')
            .next().addClass('slidefour').removeClass('slidefive')
            .next().addClass('slidefive').removeClass('slidesix')
            .next().addClass('slidesix');
        if ($('.active').is(':last-child')) {
            $('.slide').first().addClass('slideone').first().removeClass('slidetwo')
                .next().addClass('slidetwo').removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slideone').is(':last-child')) {
            $('.slide').first().addClass('slidetwo').first().removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidetwo').is(':last-child')) {
            $('.slide').first().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidethree').is(':last-child')) {
            $('.slide').first().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidefour').is(':last-child')) {
            $('.slide').first().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidefive').is(':last-child')) {
            $('.slide').first().addClass('slidesix');
        }
        if ($('.slide').hasClass('active')) {
            $('.active').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo').removeClass('slideone');
        }
        if ($('.slide').hasClass('slideone')) {
            $('.slideone').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo');
        }
        if ($('.slide').hasClass('slidetwo')) {
            $('.slidetwo').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree');
        }
        if ($('.slide').hasClass('slidethree')) {
            $('.slidethree').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour');
        }
        if ($('.slide').hasClass('slidefour')) {
            $('.slidefour').removeClass('slidesix').removeClass('slidefive');
        }
        if ($('.slide').hasClass('slidefive')) {
            $('.slidefive').removeClass('slidesix');
        }
    }
    var playing = setTimer();

    function setTimer() {
        i = setInterval(play, 60000);
        return i;
    }
    function stop() {
        clearInterval(playing);
    }
    $("#next, #prev").click(function () {
        play = stop();
    });
    $('#next').click(function () {
        $('.active').removeClass('active').addClass('oldactive');
        if ($('.oldactive').is(':last-child')) {
            $('.slide').first().addClass(' active').removeClass('slideone')
                .next().addClass('slideone').removeClass('slidetwo')
                .next().addClass('slidetwo').removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        } else {
            $('.oldactive').next().addClass('active').removeClass('slideone')
                .next().addClass('slideone').removeClass('slidetwo')
                .next().addClass('slidetwo').removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        $('.oldactive').delay(1300)
            .queue(function () {
            $(this).removeClass("oldactive");
            $(this).dequeue();
        });
        if ($('.active').is(':last-child')) {
            $('.slide').first().addClass('slideone').first().removeClass('slidetwo')
                .next().addClass('slidetwo').removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slideone').is(':last-child')) {
            $('.slide').first().addClass('slidetwo').first().removeClass('slidethree')
                .next().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidetwo').is(':last-child')) {
            $('.slide').first().addClass('slidethree').removeClass('slidefour')
                .next().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidethree').is(':last-child')) {
            $('.slide').first().addClass('slidefour').removeClass('slidefive')
                .next().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidefour').is(':last-child')) {
            $('.slide').first().addClass('slidefive').removeClass('slidesix')
                .next().addClass('slidesix');
        }
        if ($('.slidefive').is(':last-child')) {
            $('.slide').first().addClass('slidesix');
        }
        if ($('.slide').hasClass('active')) {
            $('.active').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo').removeClass('slideone');
        }
        if ($('.slide').hasClass('slideone')) {
            $('.slideone').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo');
        }
        if ($('.slide').hasClass('slidetwo')) {
            $('.slidetwo').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree');
        }
        if ($('.slide').hasClass('slidethree')) {
            $('.slidethree').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour');
        }
        if ($('.slide').hasClass('slidefour')) {
            $('.slidefour').removeClass('slidesix').removeClass('slidefive');
        }
        if ($('.slide').hasClass('slidefive')) {
            $('.slidefive').removeClass('slidesix');
        }
        var that = this;
        $('#next, #prev').attr("disabled", true);
        setTimeout(function () {
            enablenext('#next, #prev')
        }, 2000);
    });
    $('#prev').click(function () {
        $('.active').removeClass('active').addClass('oldactive');
        if ($('.oldactive').is(':first-child')) {
            $('.slide').last().addClass('active').removeClass('slidesix')
                .next().addClass('slideone')
                .next().addClass('slidetwo').removeClass('slideone')
                .next().addClass('slidethree').removeClass('slidetwo')
                .next().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        } else {
            $('.oldactive').prev().addClass('active').removeClass('slidesix')
                .next().addClass('slideone')
                .next().addClass('slidetwo').removeClass('slideone')
                .next().addClass('slidethree').removeClass('slidetwo')
                .next().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        $('.oldactive').delay(1300)
            .queue(function () {
            $(this).removeClass("oldactive");
            $(this).dequeue();
        });
        if ($('.active').is(':last-child')) {
            $('.slide').first().addClass('slideone')
                .next().addClass('slidetwo').removeClass('slideone')
                .next().addClass('slidethree').removeClass('slidetwo')
                .next().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slideone').is(':last-child')) {
            $('.slide').first().addClass('slidetwo').removeClass('slideone')
                .next().addClass('slidethree').removeClass('slidetwo')
                .next().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slidetwo').is(':last-child')) {
            $('.slide').first().addClass('slidethree').removeClass('slidetwo')
                .next().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slidethree').is(':last-child')) {
            $('.slide').first().addClass('slidefour').removeClass('slidethree')
                .next().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slidefour').is(':last-child')) {
            $('.slide').first().addClass('slidefive').removeClass('slidefour')
                .next().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slidefive').is(':last-child')) {
            $('.slide').first().addClass('slidesix').removeClass('slidefive');
        }
        if ($('.slide').hasClass('active')) {
            $('.active').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo').removeClass('slideone');
        }
        if ($('.slide').hasClass('slideone')) {
            $('.slideone').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree').removeClass('slidetwo');
        }
        if ($('.slide').hasClass('slidetwo')) {
            $('.slidetwo').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour').removeClass('slidethree');
        }
        if ($('.slide').hasClass('slidethree')) {
            $('.slidethree').removeClass('slidesix').removeClass('slidefive').removeClass('slidefour');
        }
        if ($('.slide').hasClass('slidefour')) {
            $('.slidefour').removeClass('slidesix').removeClass('slidefive');
        }
        if ($('.slide').hasClass('slidefive')) {
            $('.slidefive').removeClass('slidesix');
        }
    $('.slidesix').next().removeClass('slidesix')
    if ($('.slidesix').is(':last-child')) {
            $('.slide').first().removeClass('slidesix');
        }
        var that = this;
        $('#next, #prev').attr("disabled", true);
        setTimeout(function () {
            enableprev('#next, #prev')
        }, 2000);
    });
    var enablenext = function (ele) {
        $(ele).removeAttr("disabled");
    }
    var enableprev = function (ele) {
        $(ele).removeAttr("disabled");
    }
});